- Qt 6.4
- Qt Core
- C++ Classes
- QByteArray
- Qt 6.4.3 Reference Documentation

# Obsolete Members for QByteArray

The following members of class QByteArray are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.4))` qsizetype | count() const

## Related Non-Members

`(deprecated (6.8))` QByteArray | operator""_qba(const char *str, size_t size)

## Member Function Documentation

### qsizetype QByteArray::count() const

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use size() or length() instead.

This is an overloaded function.

Same as size().

## Related Non-Members

### `[since 6.2]` QByteArray operator""_qba(const char *str, size_t size)

This function is deprecated since 6.8. We strongly advise against using it in new code.

Use `_ba` from Qt::StringLiterals namespace instead.

Literal operator that creates a QByteArray out of the first size characters in the char string literal str.

The QByteArray is created at compile time, and the generated string data is stored in the read-only segment of the compiled object file. Duplicate literals may share the same read-only memory. This functionality is interchangeable with QByteArrayLiteral, but saves typing when many string literals are present in the code.

The following code creates a QByteArray:

     auto str = "hello"_qba;

This function was introduced in Qt 6.2.

See also QByteArrayLiteral and QtLiterals::operator""_qs(const char16_t *str, size_t size).